﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace WpfApplication4
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {

        People people = new People();

        public Window1()
        {
            InitializeComponent();

            xamDataGrid1.DataSource = people;

            Person p = new Person();
            p.Name = "John";
            people.Add(p);

            p = new Person();
            p.Name = "Jane";
            people.Add(p);

        }
    }


    public class People : ObservableCollection<Person>
    {
    }

    public class Person : INotifyPropertyChanged
    {
        private bool _isSelected;
        private string _Name;

        public bool IsSelected
        {
            get
            {
                return _isSelected;
            }
            set
            {
                _isSelected = value;
                if (PropertyChanged !=null)
                PropertyChanged(this, new PropertyChangedEventArgs("IsSelected"));
            }
        }

        public string Name
        {
            get
            {
                return _Name;
            }
            set
            {
                _Name = value;
                if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs("Name"));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
